<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/settings.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array('task'	=> 'save');

	$foo=ci_get_os_timezones();
	foreach ($foo as $i) $time_zones[$i]=$i;

	$foo=ci_get_ui_languages();
	foreach ($foo as $i) $languages[$i]=$i;

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'smtp_server'		=> array('type' => 'text')
			)
		)
	);

	$manager=new CI_SETTINGS_NETWORK();

	$info=$manager->get_info();

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/settings_network.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('settings.network.tab-');
	$form->set_fields_label_prefix('settings.network.fld-');

	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save':	$('form').do_submit(); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}
</script>

<div class="title"><?php echo ci_lbl("settings.network.title") ?></div>
<div class="help"><?php echo ci_hlp("settings.network") ?></div>

<?php echo $form->get() ?>
