<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');

	$buttons=new CI_BUTTONS();
	$buttons->add_stock_button('back');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back': 	ci_load_page('addressbook/import/index.php'); break;
		}
	}
</script>

<div class="title"><?php echo ci_lbl("addressbook.import.report.title") ?></div>
<div class="help"><?php echo ci_hlp("addressbook.import.report") ?></div>

<div id="import_status" style="display:none"></div>

<table>
	<tr>
		<td><?php echo ci_lbl('addressbook.import.report.count') ?>:</td>
		<td style="font-weight: bold"><?php echo intval($_REQUEST['count']) ?></td>
	</tr>
	<tr>
		<td><?php echo ci_lbl('addressbook.import.report.new') ?>:</td>
		<td style="font-weight: bold"><?php echo intval($_REQUEST['new']) ?></td>
	</tr>
	<tr>
		<td><?php echo ci_lbl('addressbook.import.report.overwrites') ?>:</td>
		<td style="font-weight: bold"><?php echo intval($_REQUEST['overwrites']) ?></td>
	</tr>
	<tr>
		<td><?php echo ci_lbl('addressbook.import.report.error') ?>:</td>
		<td style="font-weight: bold"><?php echo $_REQUEST['error'] ? ci_lbl('common.yes') : ci_lbl('common.no') ?></td>
	</tr>
</table>

<?php echo $buttons->get() ?>

<script type="text/javascript">
	<?php if ($_REQUEST['error']) { ?>
	ci_blink_error_block('import_status', 2, "<?php echo ci_lbl('addressbook.import.report.failure') ?>");
	<?php } else { ?>
	ci_blink_success_block('import_status', 2, "<?php echo ci_lbl('addressbook.import.report.success') ?>");
	<?php } ?>
</script>