<?php
	require_once(CI_PATH_LIBS.'/core.inc.php');
	
	class S2P_API_MODULE_STATUS extends S2P_API_MODULE
	{
		function S2P_API_MODULE_BUDDYLIST()
		{
		}

		function run($args)
		{
			switch ($args['task'])
			{
				case 'set':		return $this->task_set($args);
				case 'get':		return $this->task_get($args);
			}

			return $this->error_no_task();
		}

		function task_set($args)
		{
			$manager=new CI_CORE_SKYPE();
			$manager->open();

			$manager->ask('set-userstatus', array(
				'status'		=> strtoupper($args['status'])
			), array(
				'destination'	=> $args['account']
			));

			$manager->close();
			return ci_response_ok();
		}

		function task_get($args)
		{
			$manager=new CI_CORE_SKYPE();
			$manager->open();

			$out=$manager->ask('get-userstatus', array(
			), array(
				'destination'	=> $args['account']
			));

			$manager->close();
			return $out;
		}
	}
?>